# ../scripts/included/gg_knife_bonus/gg_knife_bonus.py

# =============================================================================
# >> IMPORTS
# =============================================================================
# Python Imports
from __future__ import with_statement
from path import path

# GunGame Imports
from gungame51.core.cfg.configs import ConfigContextManager


# =============================================================================
# >> LOAD & UNLOAD
# =============================================================================
def load():

    # Create the cfg file
    with ConfigContextManager(
      path(__file__).parent.split('scripts')[~0][1:]) as config:

        # Create the gg_knife_bonus instance
        with config.cfg_cvar('gg_knife_bonus') as cvar:

            cvar.name = 'KNIFE BONUS'
            cvar.description.append('Simply give Smoke Grenade to player ' +
                'on knife level (need to be the last level).')
            cvar.options.append(
                '0 = (Disabled) Do not load gg_knife_bonus.')
            cvar.options.append('1 = (Enabled) Load gg_knife_bonus.')
            cvar.default = 0
            cvar.text = 'Enables/Disables gg_knife_bonus.'
